Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 79093 - Ok/Cancel, Yes/No buttons are in wrong order
Summary: Ok/Cancel, Yes/No buttons are in wrong order
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gtk2
Version: 8.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Brock Organ
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-05 16:48 UTC by Andrew Gilmore
Modified: 2007-04-18 16:48 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-08-28 16:26:45 UTC


Attachments (Terms of Use)

Description Andrew Gilmore 2002-12-05 16:48:21 UTC
New to Redhat 8.0, the Yes/No and Ok/Cancel buttons have been swapped compared
to the order in earlier versions.

I think this is wrong, and should be made a preference, or something.

My wife, who is not a computer person, requested that this bug be filed, because
she hates the new order of the buttons.

Please explain why this was done, and provide information on how to change it.
(a url or quick answer is file)

Comment 1 Owen Taylor 2003-08-28 16:26:45 UTC
The GTK+ button ordering conforms to the GNOME humanb user interface guidelines.

See:

 http://developer.gnome.org/projects/gup/hig/1.0/windows.html#alert-windows

For details how on how this works. In general, OK/Cancel and Yes/No
pairs should almost never occur, instead it should be

 [ Cancel ] [ Save  ]

Or whatever the particular 

If you find OK/Cancel or Yes/No in the Red Hat tools, it wouldn't hurt
to file a bug about it.

There are some cases in which it would be nice if the GTK+ standard
dialogs would conform to a different UI standard instead; especially
when running in a Windows-like environment, or under Windows itself.
(GTK+ is a cross-platform toolkit.) See:

 http://bugzilla.gnome.org/show_bug.cgi?id=74669

for ideas about making this a configurable item.



Note You need to log in before you can comment on or make changes to this bug.